/**
 * 
 */
package org.springblade.datasource.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	
 *	日期格式化类型
 */
public enum DateFormatEnum {
	yyyy(1, "yyyy"),
	yyyyMM(2, "yyyyMM"),
	yyyy_MM(3, "yyyy-MM"),
	yyyy$MM(4, "yyyy/MM"),
	yyyyMMdd(5, "yyyyMMdd"),
	yyyy_MM_dd(6, "yyyy-MM-dd"),
	yyyy$MM$dd(7, "yyyy/MM/dd"),
	yyyyMMddhh$mm$ss(8, "yyyyMMdd HH:mm:ss"),
	yyyy_MM_ddhh$mm$ss(9, "yyyy-MM-dd HH:mm:ss"),
	yyyy$MM$ddhh$mm$ss(10, "yyyy/MM/dd HH:mm:ss"),
	hh(11, "HH"),
	hh$mm(12, "HH:mm"),
	hh$mm$ss(13, "HH:mm:ss"),
	timestamp(14, "");
	
	@EnumValue
	private int value;
	private String format;

	/**
	 * @param value
	 */
	private DateFormatEnum(int value, String format) {
		this.value = value;
		this.format = format;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the format
	 */
	public String getFormat() {
		return format;
	}
}
